package com.vote.system.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.vctgo.common.core.web.domain.AjaxResult;
import com.vote.system.domain.VoteEventWorkSettings;
import com.vote.system.domain.dto.VoteEventWorkSettingsDto;
import com.vote.system.domain.vo.VoteEventWorkSettingsVo;

import java.util.Map;

/**
 * @author MacBook
 * @description 针对表【vote_event_work_settings(活动作品设置表)】的数据库操作Service
 * @createDate 2024-08-12 18:20:26
 */
public interface VoteEventWorkSettingsService extends IService<VoteEventWorkSettings> {

    VoteEventWorkSettingsVo getEventWorkSettings(Long id);

    Long saveWorkType(VoteEventWorkSettings voteEventWorkSettings);

    Map<String, String> getJudges();

    AjaxResult editWorkSettings(VoteEventWorkSettingsDto voteEventWorkSettingsDto);

    int deleteWorkSettings(Long id);

    Map<Long,String> getWorkSettingsList(Long id);}
